> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dualship.run/llms.txt
> Use this file to discover all available pages before exploring further.

# Health check

> Check if the service and its dependencies are healthy



## OpenAPI

````yaml openapi.json get /health
openapi: 3.0.0
info:
  description: Dualship backend API for workflow automation and API management.
  title: Dualship API
  termsOfService: https://dualship.run/terms
  contact:
    name: Dualship Support
    url: https://dualship.run/support
    email: support@dualship.run
  version: '1.0'
servers:
  - url: https://api.dualship.run
security: []
paths:
  /health:
    get:
      tags:
        - health
      summary: Health check
      description: Check if the service and its dependencies are healthy
      responses:
        '200':
          description: Service is healthy
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_api_handler.HealthResponse'
        '503':
          description: Service unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_api_handler.HealthErrorResponse'
components:
  schemas:
    internal_api_handler.HealthResponse:
      description: Health check response
      type: object
      properties:
        status:
          type: string
          example: healthy
    internal_api_handler.HealthErrorResponse:
      description: Unhealthy status response
      type: object
      properties:
        error:
          type: string
          example: database connection failed
        status:
          type: string
          example: unhealthy

````